> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Lead

> Retrieves the full details of a specific lead.

# Get a Lead

Retrieves the full details of a specific lead by its ID.

## Request

`GET /v1/leads/:id`

### Path Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `id` | uuid | Yes | The unique identifier of the lead |

## Example

```bash cURL theme={null}
curl -X GET \
  "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/leads/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
```

```javascript JavaScript theme={null}
const leadId = "a1b2c3d4-e5f6-7890-abcd-ef1234567890";
const response = await fetch(
  `https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/leads/${leadId}`,
  {
    headers: {
      "Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
    }
  }
);
const { data } = await response.json();
```

```python Python theme={null}
import requests

lead_id = "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
response = requests.get(
    f"https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/leads/{lead_id}",
    headers={"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"}
)
data = response.json()
```

## Response

**200 OK**

```json theme={null}
{
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@acme.com",
    "phone": "+33612345678",
    "company_name": "Acme Corp",
    "title": "VP Sales",
    "status": "pending",
    "call_outcome": null,
    "total_calls": 0,
    "ai_enrichment": null,
    "custom_variables": {},
    "created_at": "2026-03-21T10:00:00.000Z",
    "updated_at": "2026-03-21T10:00:00.000Z"
  }
}
```

**404 Not Found**

```json theme={null}
{
  "error": {
    "code": "not_found",
    "message": "Lead not found"
  }
}
```

### Response Fields

| Field | Type | Description |
| - | - | - |
| `id` | uuid | Unique identifier |
| `first_name` | string | First name |
| `last_name` | string | Last name |
| `email` | string | Email address |
| `phone` | string | Phone number (E.164) |
| `company_name` | string | Company name |
| `title` | string | Job title |
| `status` | string | Current status |
| `call_outcome` | string | Last call outcome disposition |
| `total_calls` | integer | Number of calls made to this lead |
| `ai_enrichment` | string | AI enrichment data (if enriched) |
| `custom_variables` | object | Custom key-value data |
| `created_at` | datetime | Creation timestamp |
| `updated_at` | datetime | Last update timestamp |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.